### Function

# Gdk CursorGetTextureCallback

#### Declaration

    GdkTexture*
    (* GdkCursorGetTextureCallback) (
      GdkCursor* cursor,
      int cursor_size,
      double scale,
      int* width,
      int* height,
      int* hotspot_x,
      int* hotspot_y,
      gpointer data
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`cursor`

  Type: `GdkCursor`

  No description available.

  The data is owned by the caller of the function.

`cursor_size`

  Type: `int`

  No description available.

`scale`

  Type: `double`

  No description available.

`width`

  Type: `int*`

  No description available.

  The data is owned by the caller of the function.

`height`

  Type: `int*`

  No description available.

  The data is owned by the caller of the function.

`hotspot_x`

  Type: `int*`

  No description available.

  The data is owned by the caller of the function.

`hotspot_y`

  Type: `int*`

  No description available.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GdkTexture`

No description available.

The data is owned by the called function.